class Graphe:

    def __init__(self):

        self.Liste = {}



    def addArete(self, u, v):

        if v not in self.Liste:

            self.Liste[v] = []

        if u not in self.Liste:

            self.Liste[u] = []

        self.Liste[u].append(v)

        self.Liste[v].append(u)



G = Graphe()

G.addArete('A', 'B')

G.addArete('A', 'D')

G.addArete('A', 'E')

G.addArete('C', 'B')

G.addArete('C', 'D')

G.addArete('D', 'E')

G.addArete('E', 'F')

G.addArete('E', 'G')

G.addArete('F', 'G')

G.addArete('G', 'H')

for key,value in G.Liste.items():

    print(key,":",value)

